
%global _el_version el8_3
 
Name:       buildsys-macros-el8
Summary:    Macros for the Buildsystem
Version:    2.0
Release:    0.%{_el_version}
License:    GPL
Group:      Development/Buildsystem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
 
%description
This particular package contains the macros needed for the buildsys for CentOS el8.
 
%prep
 
%build
 
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rpm/
VERSION=%{version}
printf %s%b "%" "rhel 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "centos 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "dist .%{_el_version}\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "el8 1\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "__arch_install_post /usr/lib/rpm/check-buildroot\n" >> %{buildroot}/etc/rpm/macros.checkbuild
 
%clean
rm -rf %{buildroot}
 
%files
%defattr(-,root,root)
/etc/rpm/macros.disttag
/etc/rpm/macros.checkbuild
 
%changelog
* Thu Nov 05 2020 bstinson@centosproject.org - 2.0-0.
- Update for CentOS Linux 8.3

* Mon May 11 2020 brian@bstinson.com - 2.0-0.el8_2
- Update for 8.2

* Wed Jun 26 2019 Brian Stinson <brian@bstinson.com> - el8-1.0-1.el8_0
- change to the same package name

* Tue May 21 2019 Brian Stinson <brian@bstinson.com> - el8_0-1.0-1
- build the el8_0 macros 

* Sat May 04 2019 Brian Stinson <brian@bstinson.com> - 1.0-1
- rebuilt

* Fri Mar 22 2019 Brian Stinson <brian@bstinson.com 
- Initial Centos build.
